/**
 * Protocols test
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.ow2.jonas.protocols.test.client;

import org.ow2.jonas.protocols.test.ejbs.Request;

/**
 * Measure class
 * @author Francois Waeselynck
 */
public class Measure {


	public Measure(String source, long timestamp, double responseTime, double inEJB) {
		this.source = source;
		this.timestamp = timestamp;
		this.responseTime = responseTime;
		this.inEJB = inEJB;
	}

	public Measure(String source,long timestamp, double responseTime, Request request, double inEJB) {
		this.source = source;
		this.timestamp = timestamp;
		this.responseTime = responseTime;
		this.request = request;
		this.inEJB = inEJB;
	}

	public String getSource() {
		return source;
	}
	public double getResponseTime() {
		return responseTime;
	}

	public void setResponseTime(long responseTime) {
		this.responseTime = responseTime;
	}

	public long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(long timestamp) {
		this.timestamp = timestamp;
	}

	public Request getRequest() {
		return request;
	}

	public void setRequest(Request request) {
		this.request = request;
	}

	public double getInEJB() {
		return inEJB;
	}

	String source = "nobody";
	long timestamp = 0;
	double responseTime = 0;
	Request request = null;
	double inEJB = 0;
}
